Package org.eclipse.cdt.utils.pty

# Class ConPTYKernel32.COORD_ByValue

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Wincon.COORD
org.eclipse.cdt.utils.pty.ConPTYKernel32.COORD_ByValue

All Implemented Interfaces:
  `com.sun.jna.Structure.ByValue`

Enclosing interface:
  ConPTYKernel32

public static class ConPTYKernel32.COORD_ByValue extends com.sun.jna.platform.win32.Wincon.COORD implements com.sun.jna.Structure.ByValue

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue, com.sun.jna.Structure.FieldOrder, com.sun.jna.Structure.StructField`

## Field Summary

### Fields inherited from class com.sun.jna.platform.win32.Wincon.COORD

`X, Y`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`COORD_ByValue()`

## Method Summary

### Methods inherited from class com.sun.jna.platform.win32.Wincon.COORD

`toString`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### COORD_ByValue

public COORD_ByValue()